Subject: ANNOUNCE: MiniVend V2.03 -- Powerful shopping cart package
From: [email-masked] (Mike Heins)
Date: 7 Jan 1997 16:29:37 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

ANNOUNCE: MiniVend V2.03 -- The compatibility release

MiniVend has come out with a new release, Version 2.03.  It should now
be compatible with virtually any Unix system running Perl 5.002 or higher.

It will be available at all Comprehensive Perl Archive Network (CPAN)
sites in the directory CPAN/authors/id/MIKEH.

See info at:

               http://www.minivend.com/minivend/

-------------------------------------------------------------

    MiniVend V2.03

    Copyright 1996,1997 by Michael J. Heins <[email-masked]>

    Largely based on Vend 0.2 Copyright 1995 by Andrew M. Wilcox
    <[email-masked]>

    Portions from Vend 0.3 Copyright 1995,1996 by Andrew M. Wilcox

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of
    the License, or (at your option) any later version.

-------------------------------------------------------------

                      W H A T ' S   N E W 

MiniVend 2.03 is greatly changed from MiniVend 2.02, though
catalogs should be almost completely compatible.

Changes include:

	* Re-configuring a catalog can now be done on an individual
	  basis.  No more server re-starts for a user to change their
	  configuration.

	* MiniVend no longer requires DBM, though it is still best to use
	  GDBM or DB_File if available. There is a file-based session
	  storage message mechanism, and product databases can
	  be stored in memory.  This is automatically selected if
	  appropriate.

	* Multi-server mechanism changed completely.  Only one
	  server runs when in quiescent state -- it forks additional
	  servers as necessary, up to a limit you decide.

	* Runs on just about any Unix operating system with
	  no changes, providing Perl 5.002 or higher is available.
	  This includes IRIX, which formerly would not run MiniVend.

	* Perl subroutines can now be defined on three levels, and
	  directly called from MiniVend pages. Two use the Safe.pm module
	  for enforcing security, while an administrator-enabled GlobalSub
	  routine can run external programs for complete control.

	* mSQL support is now considered stable, and the databases
	  can be updated by forms from within MiniVend.

	* The link CGI program may now use TCP-based sockets, which
	  allows the link CGI to be located on a different machine than
	  the MiniVend server.  Be careful of security, though!

	* Perl link programs are provided for systems without a C compiler.
	  (Solaris still needs a C compiler for File::Lock, unless it is
	  already installed on Perl.)

	* Search sorting and list parsing can now be done on a named
	  field basis for all files.

	* Search sorting can be done right on the page from returned
	  fields, and be sorted by field based on form options.

	* Order and search profiles now can be fully evaluated 
	  for conditionals.

	* The [if ...] conditionals are much improved.  Contained
	  HTML can now be deferred until the last interpolation pass
	  with the [post] [/post] tag pair.  Fixed problem with
	  [if salestax ..].

	* New mv_click and mv_check special variables set multiple
	  form parameters with a single form button.

	* Cookies are only sent once if enabled, preventing annoying
	  multiple warnings if the user has them turned on.
	
	* If the user is going through multiple proxy servers (as
	  AOL users do), the session will be stable.
	
	* If REMOTE_USER is present, the IP address will not be
	  used for 

	* Many other minor bug fixes, improvements, and changes.

-------------------------------------------------------------

                        M I N I V E N D

    MiniVend is a full-featured electronic catalog system (commonly
    known as a shopping cart) with fast and easy online ordering. It
    is designed to provide an interface complete with SSL security
    and full database support. It is as powerful as commercial
    systems costing thousands of dollars.

    MiniVend 2.03 Features

       * Users maintain a "shopping cart" for ordered items
       * Multiple independent or shared catalogs allow one server
         to run many storefronts or a "mall"
       * SSL support means secure and practical credit card ordering
       * PGP support for secure off-site mailing of orders
       * Catalogs can be of almost unlimited size with excellent
         performance
       * Multi-server mode for very high capacity on systems with
         sufficient memory
       * Cookie support allows browsers to leave catalog and come
         back without losing session state
       * Complete addressable database support with virtually
         unlimited rows and columns
       * mSQL support includes form-based inserts and updates
       * Many, many, other features

    Powerful search capability

       * Fast binary search
       * One-click scan and search -- build a whole search in a single HREF
       * Complete Glimpse interface
       * Range searching, numeric and alphanumeric
       * Search sorting with reverse, numeric and case-insensitive options
       * Independent field search selection and return
       * Search any file, build results from any database

    Complete control of appearance

       * Full frames support
       * Catalog pages automatically selected -- either built
         "on the fly" from the database or pre-made for popular items
       * The on-the-fly page is selectable from the database
       * Embedded Perl and conditional HTML allow complex and
         flexible catalog pages to be completely built from
         the database

    Flexible Ordering Process

        * Multi-level order screens with configurable field
          verification
        * Multiple shopping carts per catalog, allows both buy
          and sell operations
        * Shipping calculation, mixed modes, with UPS table lookup
        * Sales tax calculation, with fully independent non-taxable
          item and taxed shipping
        * PGP encryption of credit card information or
          the entire emailed order
        * Fully-configurable discounts with coupons or
          across-the-board discounts
        * Fully-configurable quantity pricing
        * Back end order entry capability
        * Full client-side imagemap support, including frame targets and form
          submits
        * Fully configurable order reports

    Easy Administration

        * Automated installation and configuration
        * Runs under Perl 5 and almost any UNIX
        * Designed to be secure
        * Built-in online help capability
        * Offline database builds
        * Static page build option for high performance
        * Works well with all browsers

    Andrew Wilcox wrote Vend, the copylefted shopping cart software.
    MiniVend is based on Vend V0.2, but enhanced considerably,
    adding support for frames, powerful searching, remote
    administration, superfast server mode, conditional HTML,
    user-customizable help and displays, and much more. This version
    of MiniVend includes an automatic configuration and installation
    utility, and continues to be free under the GNU copyleft.

    To learn more about MiniVend, see the HTML documentation, visit
    the offical MiniVend site, or download it.

-------------------------------------------------------------------

                  A V A I L A B I L I T Y
                          A N D
                 C O M P A T I B I L I T Y

MiniVend has been well-tested on Solaris 2, SunOS, Linux, OSF/Alpha,
IRIX 5.3, BSDI, and FreeBSD. It should work on any UNIX with Perl
5.002 or higher.

Please let the author know if you have successfully run MiniVend on
any additional platforms -- patches would be appreciated.

The author is very interested in learning your problems with MiniVend,
and is always interested in improving the documentation.  (He isn't much
interested in BEING your documentation, though, unless you pay well and
promptly.) Please send comments, questions, kudos, and complaints to: 

                   [email-masked]